Bug 963702 - [abrt] eclipse-platform-4.2.1-2.fc17: os::abort: Process /usr/lib/eclipse/eclipse was killed by signal 6 (SIGABRT)
[abrt] eclipse-platform-4.2.1-2.fc17: os::abort: Process /usr/lib/eclipse/ecl...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
abrt_hash:7d88065b54dec6cc57639b88d72...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-16 08:23 EDT by gala_dragos
Modified: 2013-07-31 14:22 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 14:22:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (157.57 KB, text/plain)
2013-05-16 08:23 EDT, gala_dragos
no flags Details
File: cgroup (129 bytes, text/plain)
2013-05-16 08:23 EDT, gala_dragos
no flags Details
File: dso_list (27.64 KB, text/plain)
2013-05-16 08:23 EDT, gala_dragos
no flags Details
File: environ (1.36 KB, text/plain)
2013-05-16 08:23 EDT, gala_dragos
no flags Details
File: hs_err.log (78.48 KB, text/plain)
2013-05-16 08:23 EDT, gala_dragos
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-16 08:23 EDT, gala_dragos
no flags Details
File: maps (54.75 KB, text/plain)
2013-05-16 08:23 EDT, gala_dragos
no flags Details
File: open_fds (14.62 KB, text/plain)
2013-05-16 08:23 EDT, gala_dragos
no flags Details
File: proc_pid_status (797 bytes, text/plain)
2013-05-16 08:23 EDT, gala_dragos
no flags Details
File: smolt_data (2.61 KB, text/plain)
2013-05-16 08:23 EDT, gala_dragos
no flags Details

  None (edit)
Description gala_dragos 2013-05-16 08:23:05 EDT
Version-Release number of selected component:
eclipse-platform-4.2.1-2.fc17

Additional info:
backtrace_rating: 4
cmdline:        eclipse
core_backtrace: 
crash_function: os::abort
executable:     /usr/lib/eclipse/eclipse
kernel:         3.8.11-100.fc17.i686.PAE
uid:            1000
ureports_counter: 1
var_log_messages: May 14 00:22:10 localhost abrt[2432]: Saved core dump of pid 1263 (/usr/lib/eclipse/eclipse) to /var/spool/abrt/ccpp-2013-05-14-00:22:03-1263 (277004288 bytes)
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #3 os::abort at /usr/src/debug/java-1.7.0-openjdk/openjdk/hotspot/src/os/linux/vm/os_linux.cpp:1588
 #4 VMError::report_and_die at /usr/src/debug/java-1.7.0-openjdk/openjdk/hotspot/src/share/vm/utilities/vmError.cpp:1037
 #5 crash_handler at /usr/src/debug/java-1.7.0-openjdk/openjdk/hotspot/src/os/linux/vm/vmError_linux.cpp:106
 #7 os::is_first_C_frame at /usr/src/debug/java-1.7.0-openjdk/openjdk/hotspot/src/share/vm/runtime/os.cpp:984
 #8 VMError::report at /usr/src/debug/java-1.7.0-openjdk/openjdk/hotspot/src/share/vm/utilities/vmError.cpp:588
 #9 VMError::report_and_die at /usr/src/debug/java-1.7.0-openjdk/openjdk/hotspot/src/share/vm/utilities/vmError.cpp:971
 #10 JVM_handle_linux_signal at /usr/src/debug/java-1.7.0-openjdk/openjdk/hotspot/src/os_cpu/linux_x86/vm/os_linux_x86.cpp:528
 #11 signalHandler at /usr/src/debug/java-1.7.0-openjdk/openjdk/hotspot/src/os/linux/vm/os_linux.cpp:3712
 #13 resolve_non_null at /usr/src/debug/java-1.7.0-openjdk/openjdk/hotspot/src/share/vm/runtime/jniHandles.hpp:202
 #14 resolve_jmethod_id at /usr/src/debug/java-1.7.0-openjdk/openjdk/hotspot/src/share/vm/runtime/jniHandles.hpp:211

Potential duplicate: bug 708265
Comment 1 gala_dragos 2013-05-16 08:23:12 EDT
Created attachment 748790 [details]
File: backtrace
Comment 2 gala_dragos 2013-05-16 08:23:17 EDT
Created attachment 748791 [details]
File: cgroup
Comment 3 gala_dragos 2013-05-16 08:23:20 EDT
Created attachment 748792 [details]
File: dso_list
Comment 4 gala_dragos 2013-05-16 08:23:23 EDT
Created attachment 748793 [details]
File: environ
Comment 5 gala_dragos 2013-05-16 08:23:25 EDT
Created attachment 748794 [details]
File: hs_err.log
Comment 6 gala_dragos 2013-05-16 08:23:29 EDT
Created attachment 748795 [details]
File: limits
Comment 7 gala_dragos 2013-05-16 08:23:32 EDT
Created attachment 748796 [details]
File: maps
Comment 8 gala_dragos 2013-05-16 08:23:35 EDT
Created attachment 748797 [details]
File: open_fds
Comment 9 gala_dragos 2013-05-16 08:23:38 EDT
Created attachment 748798 [details]
File: proc_pid_status
Comment 10 gala_dragos 2013-05-16 08:23:40 EDT
Created attachment 748799 [details]
File: smolt_data
Comment 11 Alexander Kurtakov 2013-06-25 09:21:47 EDT
Can we get a description how to reproduce it?
Comment 12 gala_dragos 2013-06-26 02:12:59 EDT
Close eclipse then shutdown PC, no indication of crash.

At next startup the abrt bell appears.
Comment 13 gala_dragos 2013-06-26 02:22:46 EDT
Closed eclipse then shutdown the PC.

At next startup was greeted by the lovely abrt bell, so I have reported the problem.

Using Fedora 17 with LXDE desktop.

backtrace_rating: 4
cmdline:        eclipse
core_backtrace: 
crash_function: os::abort
executable:     /usr/lib/eclipse/eclipse
kernel:         3.8.13-100.fc17.i686.PAE
package:        eclipse-platform-4.2.1-2.fc17
reason:         Process /usr/lib/eclipse/eclipse was killed by signal 6 (SIGABRT)
runlevel:       N 5
uid:            1000
ureports_counter: 1
xsession_errors:
Comment 14 Fedora End Of Life 2013-07-03 15:36:53 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2013-07-31 14:22:55 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.